package net.sourceforge.ganttproject.print;

import org.eclipse.core.runtime.IStatus;

import net.sourceforge.ganttproject.IGanttProject;
import net.sourceforge.ganttproject.chart.Chart;
import net.sourceforge.ganttproject.gui.UIFacade;

public interface GPPrintService {
    IStatus checkPrintingAvailability();
    void showPreview(IGanttProject project, Chart chart, UIFacade uifacade);
    void print(IGanttProject project, Chart chart, UIFacade uifacade);
    String EXTENSION_POINT_ID = "net.sourceforge.ganttproject.print_service";
}
